Форум поддержки пользователей. LibreOffice, Apache OpenOffice, OpenOffice.org

Форум поддержки пользователей. LibreOffice, Apache OpenOffice, OpenOffice.org

19 Октябрь 2017, 06:50 *
Добро пожаловать, Гость. Пожалуйста, войдите или зарегистрируйтесь.
Вам не пришло письмо с кодом активации?

Войти
Новости: Часто задаваемые вопросы по LibreOffice и Apache OpenOffice.org
 
   Начало   Помощь Поиск Войти Регистрация    задать вопрос  
Страниц: 1 2 »   Вниз
  Печать  
Автор Тема: LibreOffice 5.4  (Прочитано 4274 раз)
0 Пользователей и 1 Гость смотрят эту тему.
kompilainenn
Ветеран
*****
Offline Offline

Сообщений: 2 091



« Стартовое сообщение: 9 Май 2017, 22:36 »

Опубликованы сборки первой альфы версии 5.4. С недельной задержкой. Скачать можно где и всегда. Можно еще поохотится на насекомых и о найденных сообщать разработчикам
Записан

Поддержать разработчиков LibreOffice можно тут, а наш форум вот тут
ape
Ветеран
*****
Offline Offline

Сообщений: 2 468


« Ответ #1: 23 Май 2017, 15:07 »

Охотиться из-под ХРюши там не на что:
master~2017-04-24_23.35.22_LibreOfficeDev_5.4.0.0.alpha0_Win_x86_en-US_de_ar_ja_ru_qtz.msi - это последняя сборка, работавшая и с 32-битным, и с 64-битным Windows XP.

Пробовал прояснить что-нибудь через Nabble (http://nabble.documentfoundation.org/2-last-master-builds-was-not-start-on-Windows-XP-64-bit-td4213420.html), но там отвечают совсем не те люди.
В теме должен быть сборщик - lohmaier+tinderbox@gmail.com - который, судя по сборочному логу, компилирует Мастер так, что на любом ХРюше ЛО-5.4 должен работать. Но до админа сборок не достучаться.

Вот такой коленкор...
Записан
tagezi
Ветеран
*****
Offline Offline

Пол: Мужской
Расположение: Finland
Сообщений: 589



WWW
« Ответ #2: 26 Май 2017, 13:17 »

Но до админа сборок не достучаться.
До Лохмаера вообще не достучасть, если что.
Записан
mikekaganski
Ветеран
*****
Offline Offline

Пол: Мужской
Расположение: Хабаровск -> Москва
Сообщений: 612


« Ответ #3: 26 Май 2017, 13:36 »

tdf#108043
Записан

С уважением,
Михаил Каганский
ape
Ветеран
*****
Offline Offline

Сообщений: 2 468


« Ответ #4: 26 Май 2017, 18:02 »

Подписался, внёс свои 5 копеек по релизам. Спасибо за информацию.
Записан
ape
Ветеран
*****
Offline Offline

Сообщений: 2 468


« Ответ #5: 28 Май 2017, 07:37 »

По результатам дискуссии изменили в

"LibreOffice 5.4: Release Notes
---
Platform Compatibility

Mac
- Mac OS X version 10.8 support is deprecated and the next release will require at least Mac OS X 10.9.

Windows
- Windows XP SP3, Windows Vista SP2 are both deprecated. The 5.4 release will be the last with any support of these OS.
- Uwinapi is discontinued."

---
Относительно вольный перевод:

Совместимость платформ

Mac
- Mac OS X версии 10.8 является устаревшим. Следующий релиз потребует, по крайней мере, Mac OS X 10.9.

Windows
- Windows XP SP3, Windows Vista SP2 являются устаревшими. 5.4 релиз будет последним с какой-либо поддержкой этих ОС.
- Uwinapi (универсальный Windows API) прекращён.

Записан
tagezi
Ветеран
*****
Offline Offline

Пол: Мужской
Расположение: Finland
Сообщений: 589



WWW
« Ответ #6: 29 Май 2017, 22:29 »

Windows
- Windows XP SP3, Windows Vista SP2 are both deprecated. The 5.4 release will be the last with any support of these OS.
- Uwinapi is discontinued."
Windows XP and Vista support was removed, prevent install on these old systems commit

Я не понимаю почему им не хватило просто перестать править баги для ХП и они решили удалить из кода ХП и Висту, чтоб никто не мог даже собрать для себя. Вообще, в процессе ломания копий, сложилось острое ощущение, что либо это очень вредные тупые людишки, либо им МС бабла отстегивает.
Очень жаль конечно...
« Последнее редактирование: 29 Май 2017, 22:32 от tagezi » Записан
mikekaganski
Ветеран
*****
Offline Offline

Пол: Мужской
Расположение: Хабаровск -> Москва
Сообщений: 612


« Ответ #7: 29 Май 2017, 22:48 »

@tagezi: ну зачем говорить ерунду? Всё же было в канале dev.

Поддержку XP (в смысле, возможность запуска на XP) было решено "продолжать" ровно до тех пор, пока первая технологическая надобность не потребует чего-то, недоступного на этой платформе либо требующего больших трудозатрат. В процессе этого лично я как-то внёс регрессию, связанную с неправильным выбором функции чтения реестра (использовал функцию, появившуюся в Висте), и меня тут же поправили (емнип Лохмайер), после чего я внёс исправление и стал компилить с использованием SDK для XP. Тогда ещё прямо в канале sberg(?) повторил, что поддержка XP, конечно, будет прекращена, как только возникнет необходимость, но не раньше - т.е. никому не нужно её ломать, если есть простой способ сделать так, чтобы оно работало.

Но незадолго до отделения ветки 5-4 eRack проапгрейдил ICU (библиотека, обрабатывающая UNICODE) до версии 59.1. И эта версия, как оказалось, не поддерживает ни XP, ни Висту. Причём она собиралась нормально на машинах, сконфигурированных для компиляции под XP - так что это не обнаружилось. Видимо, эта библиотека сама обнаруживает в системе нужный ей SDK и компилируется как ей надо. Мой коллега из Коллаборы это обнаружил даже раньше, чем ape, и создал багрепорт. В результате обсуждения договорились вернуть всё для 5-4. Но дальнейшая разработка пойдёт уже с ICU 59, и это та самая технологическая причина, о которой говорилось. Никому *специально* не нужно убирать саппорт. Но чтобы заставить ICU 59 работать под XP, потребовалось бы какому-то разработчику вникнуть, всё исправить, предложить апстрим, а если там не захотят принять (они же отказались) - самим поддерживать свои патчи, от чего мы стараемся уходить.
« Последнее редактирование: 29 Май 2017, 22:50 от mikekaganski » Записан

С уважением,
Михаил Каганский
tagezi
Ветеран
*****
Offline Offline

Пол: Мужской
Расположение: Finland
Сообщений: 589



WWW
« Ответ #8: 29 Май 2017, 22:58 »

@mikekaganski, Плох солдат, который не может оправдать самоволку.
Записан
ape
Ветеран
*****
Offline Offline

Сообщений: 2 468


« Ответ #9: 30 Май 2017, 07:45 »

Но незадолго до отделения ветки 5-4 eRack проапгрейдил ICU (библиотека, обрабатывающая UNICODE) до версии 59.1. И эта версия, как оказалось, не поддерживает ни XP, ни Висту. Причём она собиралась нормально на машинах, сконфигурированных для компиляции под XP - так что это не обнаружилось. Видимо, эта библиотека сама обнаруживает в системе нужный ей SDK и компилируется как ей надо. Мой коллега из Коллаборы это обнаружил даже раньше, чем ape, и создал багрепорт. В результате обсуждения договорились вернуть всё для 5-4. Но дальнейшая разработка пойдёт уже с ICU 59, и это та самая технологическая причина, о которой говорилось. Никому *специально* не нужно убирать саппорт. Но чтобы заставить ICU 59 работать под XP, потребовалось бы какому-то разработчику вникнуть, всё исправить, предложить апстрим, а если там не захотят принять (они же отказались) - самим поддерживать свои патчи, от чего мы стараемся уходить.
Вы ошибаетесь - это из nabble:
"ape Apr 28, 2017; 8:44am
2 last master builds was not start on Windows XP 64-bit
master 2017-04-26_22.29.37_LibreOfficeDev_5.4.0.0.alpha0_Win_x86_en-US_de_ar_ja_ru_qtz.msi; master 2017-04-28_00.28.06_LibreOfficeDev_5.4.0.0.alpha0_Win_x86_en-US_de_ar_ja_ru_qtz.msi does not start on Windows XP 64-bit Edition. A message is displayed on the screen:
soffice.bin - Entry Point Not Found
--------------------------------------
The procedure entry point GetUserDefaultLocaleName could not be located in the dynamic link library KERNEL32.dll. "

tdf#108043; 20-й комментарий:
Eike Rathke внёс патч, связанный с этой проблемой.
Он был внесён в «libreoffice-5-4»:l
Восстановлена сборка с ICU 59, tdf#108043 отслеживается.
Он будет доступен в 5.4.0.1.
Патч должен быть включен в ежедневные сборки, доступные на http://dev-builds.libreoffice.org/daily/ в следующие 24-48 часов.
Заинтересованным пользователям рекомендуется протестировать исправления и сообщить о полученных результатах.





« Последнее редактирование: 30 Май 2017, 07:49 от ape » Записан
mikekaganski
Ветеран
*****
Offline Offline

Пол: Мужской
Расположение: Хабаровск -> Москва
Сообщений: 612


« Ответ #10: 30 Май 2017, 08:20 »

В чём я ошибаюсь? В том, что забрал у Вас приоритет? Прошу прощения за это. Не отслеживаю этот лист. Это возражение по существу? Улыбка) Мой поинт был в том, что не только заинтересованные пользователи, но также и разработчики обратили на это внимание и предприняли действия.

Вторая часть (сообщение 20 из бага) - о том, что после восстановления предыдущей версии ICU для систем, где новая не поддерживается, Eike сделал то, о чём писал ещё в комментарии 2 - внёс возможность опционально скомпилировать 59 версию в 5-4 для систем, где это возможно.
Записан

С уважением,
Михаил Каганский
economist
Ветеран
*****
Offline Offline

Сообщений: 715


« Ответ #11: 30 Май 2017, 09:22 »

А вот что происходит тем временем в окопах: предупредил админов (у меня из 250 хостов - 119 на Vista Business, 10 на XP) - что это скоро случится. Это, кстати, первый случай, когда мы сталкиваемся с несовместимостью насущно необходимых программ с ОС. До этого даже Excel 2013 нас не совратил на апгрейд (все сидим на 2007-м), но в случае с OpenOffice|LibreOffice - версии к 6.0, видимо, придется...

И выйдет этот "качественный скачок" в 1 млн. руб. На вопрос сколько из этой суммы могло бы быть отдано разработчикам OpenOffice|LibreOffice - ответить не готов, подожду репрезентативного отклика. 
Записан

Руб. за сто, что Питоньяк
Любит водку и коньяк!
Потому что мне, без оных, -
Не понять его никак...
mikekaganski
Ветеран
*****
Offline Offline

Пол: Мужской
Расположение: Хабаровск -> Москва
Сообщений: 612


« Ответ #12: 30 Май 2017, 09:25 »

А зачем Вам 6.0 на этих машинах? Я не понимаю людей, которые по каким-то (значимым) соображениям решают оставить старую операционку, спокойно пользуются устаревшим MSO, но выход новой ЛО ввергает их в шок, потому что они (психологически?) не могут позволить себе остаться на предыдущей версии.

А если это настолько критично, что способно сподвигнуть на траты, и начинаются разговоры о том, "сколько из этой суммы могло бы быть отдано разработчикам OpenOffice|LibreOffice" - это чистая демагогия. Если бы разработчики продолжали "поддерживать" XP, никто бы не почесался подумать о выделении "части этой суммы" на разработку, и всё продолжалось бы на энтузиазме разработчиков. Случившись, это событие вызывает такие вот "размышления", но они тоже ни к чему не приводят, хотя пожалуйста, заключайте договор с фирмами, осуществляющими платную поддержку, и те будут делать то, что Вам надо, за деньги - в т.ч. продолжать поддерживать XP.
« Последнее редактирование: 30 Май 2017, 09:31 от mikekaganski » Записан

С уважением,
Михаил Каганский
tagezi
Ветеран
*****
Offline Offline

Пол: Мужской
Расположение: Finland
Сообщений: 589



WWW
« Ответ #13: 30 Май 2017, 09:34 »

А зачем Вам 6.0 на этих машинах? Я не понимаю людей, которые по каким-то (значимым) соображениям решают оставить старую операционку, спокойно пользуются устаревшим MSO, но выход новой ЛО ввергает их в шок, потому что они (психологически?) не могут позволить себе остаться на предыдущей версии.
Потому что с ЛО работает ещё один фактор, "в следующей версии, очень вероятно он станет чуть лучше и появится привычный функционал".

И выйдет этот "качественный скачок" в 1 млн. руб. На вопрос сколько из этой суммы могло бы быть отдано разработчикам OpenOffice|LibreOffice - ответить не готов, подожду репрезентативного отклика.
Реально, ЛО 5.4 можно будет пользоваться ещё полтора года после выхода и вообще не парясь. У нас в школах до сих пор стоит 4.1 и никто даже не дергается.
С другой стороны, можно попробовать найти человека, который будет за мзду поддерживать компиляцию для вин32.
Записан
mikekaganski
Ветеран
*****
Offline Offline

Пол: Мужской
Расположение: Хабаровск -> Москва
Сообщений: 612


« Ответ #14: 30 Май 2017, 09:45 »

Потому что с ЛО работает ещё один фактор, "в следующей версии, очень вероятно он станет чуть лучше и появится привычный функционал".

Вот именно.
Вероятно, заставляет перейти на новую версию то, что мы делаем что-то хорошее, что нужно пользователям. И делает это столько людей, сколько у нас есть, и в то время, которое у них на это есть. За полгода между версиями мы успеваем столько, сколько вы видите. И если нам добавить "в нагрузку" делать ко многим нашим изменениям ещё груз в виде дополнительных человеко-часов лишней работы, то сделано в результате будет (сюрприз!) меньше.

А люди хотят, чтобы мы не просто делали (с максимальной эффективностью), но делали только так, как им надо. Если мы будем стараться сделаь это максимально эффективно - они будут обижены прекращением поддержки. Если мы будем продолжать поддерживать (всё увеличивая этот груз и замедляя работу) - они будут требовать, чтобы мы прекратили ковырять в носу и сегодня же починили их любимый баг (хотя это они требовать всегда будут). А то, что привлекательность проекта, в котором нужно тянуть за собой поддержку всех старых ОС, падает для разработчиков-любителей (потому что тебе придётся не только решать интересную инженерную задачу, но и заниматься рутиной по проверкам на куче ОС), что это требует дополнительных финансовых затрат (хотя бы в виде дополнительного железа, где будет это тестироваться - даже для виртуалок нужны аппаратные ресурсы), и это уменьшит число разработчиков и ещё замедлит развитие - это по боку.
Записан

С уважением,
Михаил Каганский
Страниц: 1 2 »   Вверх
  Печать  
 
Перейти в:  

Powered by MySQL Powered by PHP Powered by SMF 1.1.21 | SMF © 2006-2009, Simple Machines Valid XHTML 1.0! Valid CSS!